## GMimeFilterBasic GMimeFilterBasic — Basic transfer encoding filter |

## Functions

GMimeFilter * | g_mime_filter_basic_new ()

## Types and Values

struct | GMimeFilterBasic

## Description

A GMimeFilter which can encode or decode basic MIME encodings such as Quoted-Printable, Base64 and UUEncode.

## Functions

### g_mime_filter_basic_new ()

    GMimeFilter *
    g_mime_filter_basic_new (GMimeContentEncoding encoding,
                             gboolean encode);

Creates a new basic filter for `encoding` .

#### Parameters

encoding | a GMimeContentEncoding |
encode | `TRUE` to encode or `FALSE` to decode |

#### Returns

a new basic encoder filter.

## Types and Values

### struct GMimeFilterBasic

    struct GMimeFilterBasic {
    	GMimeFilter parent_object;
    	GMimeEncoding encoder;
    };

A basic encoder/decoder filter for the MIME encodings.

#### Members

GMimeFilter `parent_object`; | parent GMimeFilter |
GMimeEncoding `encoder`; | GMimeEncoding state |

## See Also

GMimeFilter